> For the complete documentation index, see [llms.txt](https://renewables.docs.helinplatform.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://renewables.docs.helinplatform.com/api-reference/auth-token.md).

# Auth Token

## List Authentication Tokens

> List Third Party Authentication Tokens.\
> \
> Returns:\
> &#x20;   List of tokens.

```json
{"openapi":"3.0.3","info":{"title":"POLARIS Curtailment API","version":"0.1"},"security":[{"Auth0HTTPBearer":[]}],"components":{"securitySchemes":{"Auth0HTTPBearer":{"scheme":"bearer","type":"http"}},"schemas":{"AuthTokenDetailsSchema":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"sites":{"items":{"format":"uuid4","type":"string"},"title":"Sites","type":"array"},"token":{"title":"Token","type":"string"}},"required":["name","sites","id","token"],"title":"AuthTokenDetailsSchema","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}},"paths":{"/auth-tokens":{"get":{"description":"List Third Party Authentication Tokens.\n\nReturns:\n    List of tokens.","operationId":"List_Authentication_Tokens_api_auth_tokens_get","parameters":[{"in":"header","name":"X-Management-Token","required":false,"schema":{"nullable":true,"title":"X-Management-Token","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/AuthTokenDetailsSchema"},"title":"Response List Authentication Tokens Api Auth Tokens Get","type":"array"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":"List Authentication Tokens","tags":["auth_token"]}}}}
```

## Authentication Token Create

> Create new Third Party Authentication Token.\
> \
> Returns:\
> &#x20;   Details of a new Authentication Token.

```json
{"openapi":"3.0.3","info":{"title":"POLARIS Curtailment API","version":"0.1"},"security":[{"Auth0HTTPBearer":[]}],"components":{"securitySchemes":{"Auth0HTTPBearer":{"scheme":"bearer","type":"http"}},"schemas":{"AuthTokenBaseSchema":{"properties":{"name":{"title":"Name","type":"string"},"sites":{"items":{"format":"uuid4","type":"string"},"title":"Sites","type":"array"}},"required":["name","sites"],"title":"AuthTokenBaseSchema","type":"object"},"AuthTokenDetailsSchema":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"sites":{"items":{"format":"uuid4","type":"string"},"title":"Sites","type":"array"},"token":{"title":"Token","type":"string"}},"required":["name","sites","id","token"],"title":"AuthTokenDetailsSchema","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}},"paths":{"/auth-tokens":{"post":{"description":"Create new Third Party Authentication Token.\n\nReturns:\n    Details of a new Authentication Token.","operationId":"Authentication_Token_create_api_auth_tokens_post","parameters":[{"in":"header","name":"X-Management-Token","required":false,"schema":{"nullable":true,"title":"X-Management-Token","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthTokenBaseSchema"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthTokenDetailsSchema"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":"Authentication Token Create","tags":["auth_token"]}}}}
```

## Authentication Token Update.

> Update details of a Third Party Authentication Token.\
> \
> Returns:\
> &#x20;   Updated Authentication Token details.\
> &#x20;   HTTP 404 if Authentication Token not found.

```json
{"openapi":"3.0.3","info":{"title":"POLARIS Curtailment API","version":"0.1"},"security":[{"Auth0HTTPBearer":[]}],"components":{"securitySchemes":{"Auth0HTTPBearer":{"scheme":"bearer","type":"http"}},"schemas":{"AuthTokenUpdateRequestSchema":{"properties":{"name":{"title":"Name","type":"string"},"sites":{"items":{"format":"uuid4","type":"string"},"title":"Sites","type":"array"}},"required":["name","sites"],"title":"AuthTokenUpdateRequestSchema","type":"object"},"AuthTokenDetailsSchema":{"properties":{"id":{"title":"Id","type":"string"},"name":{"title":"Name","type":"string"},"sites":{"items":{"format":"uuid4","type":"string"},"title":"Sites","type":"array"},"token":{"title":"Token","type":"string"}},"required":["name","sites","id","token"],"title":"AuthTokenDetailsSchema","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}},"paths":{"/auth-tokens/{token_id}":{"put":{"description":"Update details of a Third Party Authentication Token.\n\nReturns:\n    Updated Authentication Token details.\n    HTTP 404 if Authentication Token not found.","operationId":"Authentication_Token_update__api_auth_tokens__token_id__put","parameters":[{"in":"path","name":"token_id","required":true,"schema":{"format":"uuid","title":"Token Id","type":"string"}},{"in":"header","name":"X-Management-Token","required":false,"schema":{"nullable":true,"title":"X-Management-Token","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthTokenUpdateRequestSchema"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthTokenDetailsSchema"}}},"description":"Successful Response"},"404":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"type":"string"},"title":"Detail","type":"array"}},"title":"Object not found","type":"object"}}},"description":"Object not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":"Authentication Token Update.","tags":["auth_token"]}}}}
```

## Authentication Token Delete

> Delete Third Party Authentication Token.\
> \
> Returns:\
> &#x20;   HTTP 204 with no content.\
> &#x20;   HTTP 404 if Authentication Token not found.

```json
{"openapi":"3.0.3","info":{"title":"POLARIS Curtailment API","version":"0.1"},"security":[{"Auth0HTTPBearer":[]}],"components":{"securitySchemes":{"Auth0HTTPBearer":{"scheme":"bearer","type":"http"}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}},"paths":{"/auth-tokens/{token_id}":{"delete":{"description":"Delete Third Party Authentication Token.\n\nReturns:\n    HTTP 204 with no content.\n    HTTP 404 if Authentication Token not found.","operationId":"Authentication_Token_delete_api_auth_tokens__token_id__delete","parameters":[{"in":"path","name":"token_id","required":true,"schema":{"format":"uuid","title":"Token Id","type":"string"}},{"in":"header","name":"X-Management-Token","required":false,"schema":{"nullable":true,"title":"X-Management-Token","type":"string"}}],"responses":{"204":{"description":"Successful Response"},"404":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"type":"string"},"title":"Detail","type":"array"}},"title":"Object not found","type":"object"}}},"description":"Object not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":"Authentication Token Delete","tags":["auth_token"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://renewables.docs.helinplatform.com/api-reference/auth-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
